## LOC Delete Assistance Data request

LOC Delete Assistance Data request

## Functions

QmiMessageLocDeleteAssistanceDataInput * | qmi_message_loc_delete_assistance_data_input_new ()
QmiMessageLocDeleteAssistanceDataInput * | qmi_message_loc_delete_assistance_data_input_ref ()
void | qmi_message_loc_delete_assistance_data_input_unref ()
gboolean | qmi_message_loc_delete_assistance_data_input_get_delete_clock_info_mask ()
gboolean | qmi_message_loc_delete_assistance_data_input_set_delete_clock_info_mask ()
gboolean | qmi_message_loc_delete_assistance_data_input_get_delete_cell_database_mask ()
gboolean | qmi_message_loc_delete_assistance_data_input_set_delete_cell_database_mask ()
gboolean | qmi_message_loc_delete_assistance_data_input_get_delete_gnss_data_mask ()
gboolean | qmi_message_loc_delete_assistance_data_input_set_delete_gnss_data_mask ()
gboolean | qmi_message_loc_delete_assistance_data_input_get_delete_sv_info ()
gboolean | qmi_message_loc_delete_assistance_data_input_set_delete_sv_info ()
gboolean | qmi_message_loc_delete_assistance_data_input_get_delete_all ()
gboolean | qmi_message_loc_delete_assistance_data_input_set_delete_all ()
QmiMessageLocDeleteAssistanceDataOutput * | qmi_message_loc_delete_assistance_data_output_ref ()
void | qmi_message_loc_delete_assistance_data_output_unref ()
gboolean | qmi_message_loc_delete_assistance_data_output_get_result ()
void | qmi_client_loc_delete_assistance_data ()
QmiMessageLocDeleteAssistanceDataOutput * | qmi_client_loc_delete_assistance_data_finish ()

## Types and Values

| QmiMessageLocDeleteAssistanceDataInput
| QmiMessageLocDeleteAssistanceDataInputDeleteSvInfoElement
| QmiMessageLocDeleteAssistanceDataOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageLocDeleteAssistanceDataInput
        ╰── QmiMessageLocDeleteAssistanceDataOutput

## Description

## Functions

### qmi_message_loc_delete_assistance_data_input_new ()

    QmiMessageLocDeleteAssistanceDataInput *
    qmi_message_loc_delete_assistance_data_input_new
                                   (void);

Allocates a new QmiMessageLocDeleteAssistanceDataInput.

#### Returns

the newly created QmiMessageLocDeleteAssistanceDataInput. The returned value should be freed with `qmi_message_loc_delete_assistance_data_input_unref()`.

Since: 1.22

### qmi_message_loc_delete_assistance_data_input_ref ()

    QmiMessageLocDeleteAssistanceDataInput *
    qmi_message_loc_delete_assistance_data_input_ref
                                   (QmiMessageLocDeleteAssistanceDataInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocDeleteAssistanceDataInput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_loc_delete_assistance_data_input_unref ()

    void
    qmi_message_loc_delete_assistance_data_input_unref
                                   (QmiMessageLocDeleteAssistanceDataInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocDeleteAssistanceDataInput. |

Since: 1.22

### qmi_message_loc_delete_assistance_data_input_get_delete_clock_info_mask ()

    gboolean
    qmi_message_loc_delete_assistance_data_input_get_delete_clock_info_mask
                                   (QmiMessageLocDeleteAssistanceDataInput *self,
                                    QmiLocDeleteClockInfo *value_delete_clock_info_mask,
                                    GError **error);

Get the 'Delete Clock Info Mask' field from `self` .

#### Parameters

self | a QmiMessageLocDeleteAssistanceDataInput. |
value_delete_clock_info_mask | a placeholder for the output QmiLocDeleteClockInfo, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_delete_assistance_data_input_set_delete_clock_info_mask ()

    gboolean
    qmi_message_loc_delete_assistance_data_input_set_delete_clock_info_mask
                                   (QmiMessageLocDeleteAssistanceDataInput *self,
                                    QmiLocDeleteClockInfo value_delete_clock_info_mask,
                                    GError **error);

Set the 'Delete Clock Info Mask' field in the message.

#### Parameters

self | a QmiMessageLocDeleteAssistanceDataInput. |
value_delete_clock_info_mask | a QmiLocDeleteClockInfo. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_delete_assistance_data_input_get_delete_cell_database_mask ()

    gboolean
    qmi_message_loc_delete_assistance_data_input_get_delete_cell_database_mask
                                   (QmiMessageLocDeleteAssistanceDataInput *self,
                                    QmiLocDeleteCellDatabase *value_delete_cell_database_mask,
                                    GError **error);

Get the 'Delete Cell Database Mask' field from `self` .

#### Parameters

self | a QmiMessageLocDeleteAssistanceDataInput. |
value_delete_cell_database_mask | a placeholder for the output QmiLocDeleteCellDatabase, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_delete_assistance_data_input_set_delete_cell_database_mask ()

    gboolean
    qmi_message_loc_delete_assistance_data_input_set_delete_cell_database_mask
                                   (QmiMessageLocDeleteAssistanceDataInput *self,
                                    QmiLocDeleteCellDatabase value_delete_cell_database_mask,
                                    GError **error);

Set the 'Delete Cell Database Mask' field in the message.

#### Parameters

self | a QmiMessageLocDeleteAssistanceDataInput. |
value_delete_cell_database_mask | a QmiLocDeleteCellDatabase. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_delete_assistance_data_input_get_delete_gnss_data_mask ()

    gboolean
    qmi_message_loc_delete_assistance_data_input_get_delete_gnss_data_mask
                                   (QmiMessageLocDeleteAssistanceDataInput *self,
                                    QmiLocDeleteGnssData *value_delete_gnss_data_mask,
                                    GError **error);

Get the 'Delete GNSS Data Mask' field from `self` .

#### Parameters

self | a QmiMessageLocDeleteAssistanceDataInput. |
value_delete_gnss_data_mask | a placeholder for the output QmiLocDeleteGnssData, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_delete_assistance_data_input_set_delete_gnss_data_mask ()

    gboolean
    qmi_message_loc_delete_assistance_data_input_set_delete_gnss_data_mask
                                   (QmiMessageLocDeleteAssistanceDataInput *self,
                                    QmiLocDeleteGnssData value_delete_gnss_data_mask,
                                    GError **error);

Set the 'Delete GNSS Data Mask' field in the message.

#### Parameters

self | a QmiMessageLocDeleteAssistanceDataInput. |
value_delete_gnss_data_mask | a QmiLocDeleteGnssData. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_delete_assistance_data_input_get_delete_sv_info ()

    gboolean
    qmi_message_loc_delete_assistance_data_input_get_delete_sv_info
                                   (QmiMessageLocDeleteAssistanceDataInput *self,
                                    GArray **value_delete_sv_info,
                                    GError **error);

Get the 'Delete SV Info' field from `self` .

#### Parameters

self | a QmiMessageLocDeleteAssistanceDataInput. |
value_delete_sv_info | a placeholder for the output GArray of QmiMessageLocDeleteAssistanceDataInputDeleteSvInfoElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_delete_assistance_data_input_set_delete_sv_info ()

    gboolean
    qmi_message_loc_delete_assistance_data_input_set_delete_sv_info
                                   (QmiMessageLocDeleteAssistanceDataInput *self,
                                    GArray *value_delete_sv_info,
                                    GError **error);

Set the 'Delete SV Info' field in the message.

#### Parameters

self | a QmiMessageLocDeleteAssistanceDataInput. |
value_delete_sv_info | a GArray of QmiMessageLocDeleteAssistanceDataInputDeleteSvInfoElement elements. A new reference to `value_delete_sv_info` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_delete_assistance_data_input_get_delete_all ()

    gboolean
    qmi_message_loc_delete_assistance_data_input_get_delete_all
                                   (QmiMessageLocDeleteAssistanceDataInput *self,
                                    gboolean *value_delete_all,
                                    GError **error);

Get the 'Delete All' field from `self` .

#### Parameters

self | a QmiMessageLocDeleteAssistanceDataInput. |
value_delete_all | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_delete_assistance_data_input_set_delete_all ()

    gboolean
    qmi_message_loc_delete_assistance_data_input_set_delete_all
                                   (QmiMessageLocDeleteAssistanceDataInput *self,
                                    gboolean value_delete_all,
                                    GError **error);

Set the 'Delete All' field in the message.

#### Parameters

self | a QmiMessageLocDeleteAssistanceDataInput. |
value_delete_all | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_delete_assistance_data_output_ref ()

    QmiMessageLocDeleteAssistanceDataOutput *
    qmi_message_loc_delete_assistance_data_output_ref
                                   (QmiMessageLocDeleteAssistanceDataOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocDeleteAssistanceDataOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_loc_delete_assistance_data_output_unref ()

    void
    qmi_message_loc_delete_assistance_data_output_unref
                                   (QmiMessageLocDeleteAssistanceDataOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocDeleteAssistanceDataOutput. |

Since: 1.22

### qmi_message_loc_delete_assistance_data_output_get_result ()

    gboolean
    qmi_message_loc_delete_assistance_data_output_get_result
                                   (QmiMessageLocDeleteAssistanceDataOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageLocDeleteAssistanceDataOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.22

### qmi_client_loc_delete_assistance_data ()

    void
    qmi_client_loc_delete_assistance_data (QmiClientLoc *self,
                                           QmiMessageLocDeleteAssistanceDataInput *input,
                                           guint timeout,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously sends a Delete Assistance Data request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_loc_delete_assistance_data_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientLoc. |
input | a QmiMessageLocDeleteAssistanceDataInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22

### qmi_client_loc_delete_assistance_data_finish ()

    QmiMessageLocDeleteAssistanceDataOutput *
    qmi_client_loc_delete_assistance_data_finish
                                   (QmiClientLoc *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_loc_delete_assistance_data()`.

#### Parameters

self | a QmiClientLoc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_loc_delete_assistance_data()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageLocDeleteAssistanceDataOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_loc_delete_assistance_data_output_unref()`.

Since: 1.22

## Types and Values

### QmiMessageLocDeleteAssistanceDataInput

    typedef struct _QmiMessageLocDeleteAssistanceDataInput QmiMessageLocDeleteAssistanceDataInput;

The QmiMessageLocDeleteAssistanceDataInput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiMessageLocDeleteAssistanceDataInputDeleteSvInfoElement

    typedef struct {
        guint16 gnss_sv_id;
        QmiLocSystem system;
        QmiLocDeleteSvInfo delete_sv_info_mask;
    } QmiMessageLocDeleteAssistanceDataInputDeleteSvInfoElement;

A QmiMessageLocDeleteAssistanceDataInputDeleteSvInfoElement struct.

#### Members

guint16 `gnss_sv_id`; | a guint16. |
QmiLocSystem `system`; | a QmiLocSystem. |
QmiLocDeleteSvInfo `delete_sv_info_mask`; | a QmiLocDeleteSvInfo. |

Since: 1.22

### QmiMessageLocDeleteAssistanceDataOutput

    typedef struct _QmiMessageLocDeleteAssistanceDataOutput QmiMessageLocDeleteAssistanceDataOutput;

The QmiMessageLocDeleteAssistanceDataOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22